package com.pqs9900.task;

import org.quartz.Job;
import org.quartz.JobBuilder;
import org.quartz.JobDetail;

public class MyJobDetail<T extends Job> {
    private JobDetail jobDetail;

    public MyJobDetail(String name, String group, Class<T> t) {
        jobDetail = JobBuilder.newJob(t).withIdentity(name, group).build();
    }

    public JobDetail getJobDetail() {
        return jobDetail;
    }
}
